Subject: [AAA-WG]: election process padding question

From: Jari Arkko <[email-masked]>
Date: Fri, 15 Apr 2005 14:35:46 +0300

Section 5.6.4:

   The election is performed on the responder.  The responder compares
   the Origin-Host received in the CER sent by its peer with its own
   Origin-Host.  If the local Diameter entity's Origin-Host is higher
   than the peer's, a Win-Election event is issued locally.

   The comparison proceeds by considering the shorter OctetString to be
   padded with zeros so that it length is the same as the length of the
   longer, then performing an octet-by-octet unsigned comparison with
   the first octet being most significant.  Any remaining octets are
   assumed to have value 0x80.

The question is what does the last sentence mean, given that we
already stated that padding will be performed so that the lengths
match?

(Material for an errata, or am I missing something?)